### Virtual Method

# Atk Socket embed

since: 1.30

#### Declaration [src]

    void
    embed (
      AtkSocket* obj,
      const gchar* plug_id
    )

#### Description [src]

Embeds the children of an `AtkPlug` as the children of the `AtkSocket`. The plug may be in the same process or in a different process.

The class item used by this function should be filled in by the IPC layer (usually at-spi2-atk). The implementor of the AtkSocket should call this function and pass the id for the plug as returned by atk_plug_get_id(). It is the responsibility of the application to pass the plug id on to the process implementing the `AtkSocket` as needed.

Available since: 1.30

#### Parameters

`plug_id`

  Type: `const gchar*`

  The ID of an `AtkPlug`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.